Loading...
Searching...
No Matches
WGPUFragmentState Struct Reference

`#include <mini_webgpu.h>`

## Public Attributes

WGPUChainedStruct const * | nextInChain
WGPUShaderModule | module
WGPU_NULLABLE char const * | entryPoint
size_t | constantCount
WGPUConstantEntry const * | constants
size_t | targetCount
WGPUColorTargetState const * | targets

## Detailed Description

Definition at line 2012 of file mini_webgpu.h.

## Member Data Documentation

## nextInChain

WGPUChainedStruct const* WGPUFragmentState::nextInChain

Definition at line 2013 of file mini_webgpu.h.

## module

WGPUShaderModule WGPUFragmentState::module

Definition at line 2014 of file mini_webgpu.h.

## entryPoint

WGPU_NULLABLE char const* WGPUFragmentState::entryPoint

Definition at line 2015 of file mini_webgpu.h.

## constantCount

size_t WGPUFragmentState::constantCount

Definition at line 2016 of file mini_webgpu.h.

## constants

WGPUConstantEntry const* WGPUFragmentState::constants

Definition at line 2017 of file mini_webgpu.h.

## targetCount

size_t WGPUFragmentState::targetCount

Definition at line 2018 of file mini_webgpu.h.

## targets

WGPUColorTargetState const* WGPUFragmentState::targets

Definition at line 2019 of file mini_webgpu.h.

The documentation for this struct was generated from the following file:

- src/runtime/mini_webgpu.h